For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • GETList all tables in a collection.
      • POSTCreate a table in a collection.
      • GETGet a table by ID.
      • PUTUpdate a table by ID.
      • DELDelete a table by ID.
      • GETGet a tables schema by ID.
      • POSTSync a table with a list of documents.
LogoLogo
Scout DocsAccess Scout
EndpointsTables

Sync a table with a list of documents.

Beta
POST
https://api.scoutos.com/v2/collections/:collection_id/tables/:table_id/sync
POST
/v2/collections/:collection_id/tables/:table_id/sync
$curl -X POST https://api.scoutos.com/v2/collections/collection_id/tables/table_id/sync \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> {}
>]'
1{
2 "detail": "Table synchronization completed successfully."
3}
Sync a table with a list of documents.
Was this page helpful?
Previous

List all documents in a table.

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequired
table_idstringRequired

Request

This endpoint expects a list of maps from strings to any.

Response

Successful Response
detailstring

Errors

422
Unprocessable Entity Error